[![logo](https://www.hongsnet.net/images/logo.gif)](https://www.hongsnet.net)

# 홍쓰넷 Migration 검토 및 검증

> Docker Swarm -> `K8s`로의 **서비스 이관**을 검토하고 검증한다.

# Table of Contents

| NO | ITEM | Content | 비고 |
| ------ | ------ | ------ | ------ |
| 1 | Cluster 운용상 비교 및 검토 | [GO](./CLUSTER/) | |
| 2 | Service Deploy(**Swarm**)에 대한 비교 및 검토| [GO](./SERVICE/SWARM/) | |
| 3 | Service Deploy(**K8s**)에 대한 비교 및 검토| [GO](./SERVICE/K8S/) | |
| 4 | Auto Scaling(**K8s**)에 대한 검토| [GO](./SERVICE/SCALE/) | |
| 5 | Storage 구조에 대한 비교 및 검토 | [GO](./STORAGE/) | |
| 6 | 이 외 비교 및 검토 | [GO](./MISC/) | |

# Overview

|  | **Swarm** | `K8s` | 비고 |
| ------ | ------ | ------ | ------ |
| Controller | Manager | Master | |
| Slave | Worker | Nodes | |
| Workload Definition | Service | Deployment | |
| Deployment Unit | Task | Pod | |
| Scale-out Definition | Replicas | Replica Set | |
| Service Discovery | Internal DNS | CoreDNS | |
| Load Balancing | Ingress | Service | |
| Port | Published Port | Endpoint | |
| Storage | Volumes | Persistent Volumes / Claims | |
| Network | Overlay | Flat Networking Space | |
| `Result` | **Flexible,Large capacity,Popular** | **Simple,Faster** | |

## Verify

- www.hongsnet.net의 `Front-end`, `DBMS` **구조를 변경하지 않은 상태**에서 k8s가 도입되어야 한다.
- 개발 코드에 대한 CI/CD 배포는 큰 틀에서 현재와 비교해서 변경되지 않으며, k8s로 변경되는 일부분의 **.gitlab-ci.yml** 파일을 변경하면 된다.


